#include <engine.h>

/*
	Roll Dice between 1 and max_value role_number times and return either the average if avrg flag is set or the best of the roll
*/
void RollDice(int max_value, int role_number, bool avrg) {
	GetRandomValue(1, max_value);
}

/*
	Gather Loot Table and roll dice to generate loot
*/
void Loot() {
}

void BaseBuild() {
}

void BaseDefense() {
}

void BaseAssault() {

}

void Diplomacy() {

}

void Dungeon() {
}

void Fighting() {
}

void Dungeon() {
}

void Crafting() {
}

void Fishing() {
}

void Mining() {
}

void WoodCutting() {
}

void Harvesting() {
}

void Gathering() {
}

void	World_Exploration() {
}

void	SlimeDungeonAdventure() {

}
